Problem w/ Software Updater, how to run Package Manager...Help

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Problem w/ Software Updater, how to run Package Manager...Help

ubuntu-users mailing list
Hi all,

Software Updater won't run at all & i got the following error message in the drop-down below the warning icon, red circle with the horizontal white bar through it. 

An error occurred, please run Package Manager from the right-click menu or apt-get in a terminal window to see what went wrong. The error message was: ‘Error: Opening the cache (E:Malformed entry 60 in list file /etc/apt/sources.list (Component), E:The list of sources could not be read.)’. This usually means that your installed packages have unmet dependencies.


i've carefully replicated the full message, it's why i've included 'how to run Package Manager' in the subject. Although it says to run it from the right-click menu i can't seem to find it anywhere. i found only Task Manager in the right-click menu on the tab bar (in Chromium).. FYI, i'm still running unbuntu 16.04 LTS.

Here's how i got to that point. i downloaded & installed the Vivaldi browser to try, that all went fine, it's even updated a couple times since i downloaded. i discovered in exploring it that lots of things didn't work & in reviewing their help & tips found information suggesting i should link it to my Ubuntu system to enable access to add-ons, &c., already set up in ubuntu on my machine. At least that's what i remember (it's been a little while, foolishly posted my query earlier using another email & waited for the moderator to reject that). 

They said to go into command mode & enter the following code:
sudo add-apt-repository "deb http://archive.canonical.com/ubuntu `lsb_release -cs` partner"
i replicated it precisely in command mode & generated an error 60. i was frustrated by that so i went to software and updates in the settings dialog & tried to delete Vivaldi as i continued finding other things i didn't like that much with it. It was after i took that step though it may have happened anyway after i entered their recommended code, i got the error message in the first part of my post.

i'm not a programmer though i've done a little command line stuff but mostly with precise guidance from people much more knowledgeable than i am. i am really concerned in particular to be missing security updates so i want to get this sorted out. i tried the apt-get recommendation in command mode as well but then didn't know what to do or where to go next so i just exited rather then mess around & perhaps compound the problem.

Any help & guidance is deeply appreciated. Thank you in advance.

david

Sent from ProtonMail, encrypted email based in Switzerland.



--
ubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem w/ Software Updater, how to run Package Manager...Help

Colin Law
On 2 August 2018 at 02:48, djlafond via ubuntu-users <[hidden email]> wrote:
Hi all,

Software Updater won't run at all & i got the following error message in the drop-down below the warning icon, red circle with the horizontal white bar through it. 

An error occurred, please run Package Manager from the right-click menu or apt-get in a terminal window to see what went wrong. The error message was: ‘Error: Opening the cache (E:Malformed entry 60 in list file /etc/apt/sources.list (Component), E:The list of sources could not be read.)’. This usually means that your installed packages have unmet dependencies.


In a terminal run

sudo apt clean

to clear the cache, then

sudo apt update

If that runs without error then

sudo apt upgrade

to upgrade any packages that are out of date.

Colin


--
ubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users